﻿using Infragistics.Web.Mvc;
using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Web;

namespace igGridBindToDataSet.Models
{
    public class igGridCustomModel
    {
        public GridModel model { get; set; }
        public igGridCustomModel()
        {
            model = new GridModel();
            DataTable dt = new DataTable();
            dt.Columns.Add("ID");
            dt.Columns.Add("Name");

            DataColumn[] col = new DataColumn[1];
            col[0] = dt.Columns["ID"];
            dt.PrimaryKey = col;

            DataRow row;
            for (int i = 0; i < 10; i++)
            {
                row = dt.NewRow();
                row.SetField<int>("ID", i);
                row.SetField<string>("Name", "Name" + i);
                dt.Rows.Add(row);
            }
            model.DataSource = dt;
            model.AutoGenerateColumns = false;
            model.AddClientEvent(GridClientEvents.CellClick, "gridCellClickHandler");

            GridFiltering filtering = new GridFiltering();
            
            model.Features.Add(filtering);
            GridSorting sorting = new GridSorting();
            model.Features.Add(sorting);

            model.Columns.Add(new GridColumn("ID", "ID", "number", "100px"));
            model.Columns.Add(new GridColumn("Product Name", "Name", "string", "300px"));
            model.DataBind();
            
        }
    }

   
}